<Manage::Container ...attributes @title={{capitalize (t "new newsletter")}} @breadcrumbs={{@breadcrumbs}}>
  <:content>
    {{#unless this.teams}}
      <Manage::Row>
        <div class="alert alert-danger" role="alert">
          <p>{{capitalize (t "team-needed-message")}}</p>
          <LinkTo @route="manage.teams.add" @query={{hash next="manage.newsletters.add"}} class="btn btn-secondary btn btn-add-team">
            <FaIcon @icon="plus" />
            {{capitalize (t "team")}}
          </LinkTo>
        </div>
      </Manage::Row>
    {{/unless}}

    <Manage::RowAdd @name="name" as |id|>
      <Input id={{id}} class="form-control input-name" @value={{@newsletter.name}} placeholder={{capitalize (t "what is the newsletter name?")}} />
    </Manage::RowAdd>

    <Manage::RowAdd @name="description" as |id|>
      <Textarea id={{id}} class="form-control input-description" @value={{@newsletter.description}} placeholder={{capitalize (t "what is the newsletter description?")}} />
    </Manage::RowAdd>

    <Input::Manage::FeatureFlagTeams @onChange={{this.changeTeam}} @value={{this.team}} @next="manage.newsletter.add" @flag="allowNewsletters" />

    <Manage::Row @name="add">
      <Input::Button class="btn btn-primary btn-submit" @disabled={{not this.canSubmit}} @action={{this.save}}>
        {{capitalize (t "add")}}
      </Input::Button>
    </Manage::Row>
  </:content>
</Manage::Container>